Bug 134213 - OpenOffice.org doesn't work with IIIMF correctly for non-CJK language
OpenOffice.org doesn't work with IIIMF correctly for non-CJK language
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: im-sdk (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Leon Ho
: i18n
Depends On:
Blocks: IIIMF
  Show dependency treegraph
 
Reported: 2004-09-30 03:46 EDT by Timothy Ha
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 13:01:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timothy Ha 2004-09-30 03:46:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; rv:1.7.3)
Gecko/20040913 Firefox/0.10

Description of problem:
IIIMF works for Korean on my machine, but typing Russian language into
OpenOffice gives only garbage. There is no way to configure Russian
input to not depend on IIIMF.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install English, Korean, Russian
2. add Russian to Keyboard layouts
3. open OpenOffice.org - Korean works, Russian - not.
    

Additional info:
Comment 1 Timothy Ha 2004-09-30 03:49:34 EDT
im-switch shows that it doesn't work with Russian. How do I configure
Russian to work independently from im-switch.

In Fedora Core 2, the same problem was solved by running magic command
"im-switch -m iiimf", somehow Russian was OK after such a command. But
now even -m switch is replaced by new switches.
Comment 2 Leon Ho 2004-09-30 04:27:31 EDT
Hi, are you using the latest OOo (openoffice.org-1.1.2-6) and are you
adding keyboard layouts in Gnome?
Comment 3 Timothy Ha 2004-09-30 04:38:17 EDT
I am adding keyboard layouts in Gnome - so I have English and Russian
in my layouts. They work in GNOME things, but Russian doesn't work in
OOo. 

OOo is the one that comes with FC3 test2.
Comment 4 Leon Ho 2004-09-30 04:48:38 EDT
Would you please test with the latest rawhide version? The current
version compared to the one in test2 has big change on UI and IM part
- OOo is gtk+ enabled now.
Comment 5 Timothy Ha 2004-09-30 05:08:31 EDT
Could you please build up a RPM for that? I will use it then. Thanks.
Comment 6 Leon Ho 2004-09-30 05:24:51 EDT
You can download directly from development tree of FC (rawhide):
http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/Fedora/RPMS/
Comment 7 Timothy Ha 2004-10-01 04:52:49 EDT
I am glad to say that the rawhide version of OOo works OK with Russian
language. It really uses GNOME keyboard layout settings. Thank you
very much for helping.

However, I have problems with my three-language setting. My
organization needs three languages. But Korean works by Ctrl-Space
switching only when I enter GNOME with Korean interface. When I am in
English or Russian interface, I can use only the English+Russian pair.

Perhaps, I need to uninstall IIIMF-Chinese and IIIMF-Japanese to make
IIIMF sure that it deals with Korean. But is there another way to
ensure that IIIMF is activated and working in GNOME when I am not in
CJK interface?
Comment 8 Dan Williams 2004-10-01 12:16:23 EDT
sending over to iiimf folks.  OOo will use whatever IIIMF is loaded
when its started.
Comment 9 Leon Ho 2004-10-01 13:01:49 EDT
To Comment #7, glad OOo uses gtk+ now fixes your problem.

For switching LEs in IIIMF, it is outside of this bug's scope. However
I can comment that you can use a applet called GIMLET to switch
between language engine in IIIMF.

If you need any assistance, please subscribe fedora-i18n mailing list.
Closing bug for now. Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.